{
    // 使用 IntelliSense 了解相关属性。 
    // 悬停以查看现有属性的描述。
    // 欲了解更多信息，请访问: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "ROS2 C++ Debug",
            "request": "launch",
            "type": "cppdbg",
            "MIMode": "gdb",
            "cwd": "${workspaceFolder}",
            "program": "${workspaceFolder}/install/xxx"
        },
        {
            "name": "ROS2: Launch grab_service",
            "request": "launch",
            "target": "${workspaceFolder}/install/xxx",
            "launch": ["rviz", "gz", "gzserver", "gzclient"],
            "type": "ros2"
        },
        {
            "name": "ROS: Attach",
            "request": "attach",
            "type": "ros2"
        }
    ]
}